﻿'Author: Thorsten Hodes, 7-PDF Germany
'(c) 2010 by Thorsten Hodes, 7-PDF Germany
'
'Description: 
'This small VB.NET Application gaves an overview
'how 7-PDF Maker PDF Convertion technology can be included in own
'.NET applications. Therefore a COM based Library can be easily used
'
'IMPORTANT: 
'1) To make conversions with this COM Application example, the 7-PDF Maker
'Software have to be installed on your system before.
'
'2) Please note/check before running, that you have included the 
'COMObj DLL "SevenPDFCOMObj Library" as Reference to this Project
'and that the DLL is successfully registered on your system with regsvr32.exe
'Use [regsvr32 "FULLPATH TO DLL FOLDER\SevenPDFComObj.dll"] | You need administrative privileges for that!
'
'Returncodes of the Library are: 
'----------------------------------------------------------------------------------
'
'Result Codes
'-------------
'PDF created successfull = 1
'PDF creation failed = 0
'
'Error Codes
'-------------
' 99 = Init methode not called before (necessary)
'100 = outputFilePath is empty or destination path not exists
'101 = Fileextension of outputFilePath is not ".pdf"
'102 = Filetype of inputFilepath is empty
'103 = Filetype of inputFilepath not supported
'104 = inputFilepath is empty or not exists
'105 = general error: conversion early aborted
'
'----------------------------------------
'COM-Methodes: see the object html documentation for details!
'

Public Class frmSevenPDFCOMClient

    Private Sub btnSelectFile_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSelectFile.Click
        Dim strDatei As String

        'Select a File that should be convert to PDF here
        With OpenFileDialog1

            .FilterIndex = 1

            If .ShowDialog() = Windows.Forms.DialogResult.OK Then
                strDatei = .FileName
                txtFile.Text = strDatei
            End If

        End With

    End Sub

    Private Sub btnConvertToPDF_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnConvertToPDF.Click
        Dim SevenPDFComObj As New SevenPDFComObj.SevenPDFObjConverter

        'COM DLL INVOKE CALL TO SevenPDFComObj.dll
        'Note that you must register the ActiveX DLL first
        'Use [regsvr32 "FULLPATH TO DLL FOLDER\SevenPDFComObj.dll"]
        'Pleas Notice: You need administrative privileges for that!

        Try
            txtReturnCode.Text = ""

            '******* INITIALIZATION *********

            SevenPDFComObj.Init()
            'SevenPDFComObj.UnlockKey ("INSERT LICENSEKEY")

            '********************************

            '****** Customize some PDF Settings *******
            'Notice: PDF encryption works only in registered version
            '******************************************

            SevenPDFComObj.setExportNotes(0)
            SevenPDFComObj.setExportNotesPages(0)
            SevenPDFComObj.setExportBookmarks(0)

            'Set PDF Security Options
            'SevenPDFComObj.setEncryptFile (1)
            'SevenPDFComObj.setPermissionPassword ("test1232")
            'SevenPDFComObj.setRestrictPermissions (1)
            'SevenPDFComObj.setChanges (0)
            'SevenPDFComObj.setPrinting (1)
            'SevenPDFComObj.setEnableCopyingOfContent (0)
            'SevenPDFComObj.setEnableTextAccessForAccessibilityTools (0)

            'Make the Conversion
            txtReturnCode.Text = SevenPDFComObj.convertToPdf(txtFile.Text, txtPDF.Text, 0).ToString()

        Catch ex As Exception
            MsgBox("Error occurs: " & ex.Message)
        End Try

    End Sub

    Private Sub btnSelectPDF_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSelectPDF.Click
        Dim strDatei As String

        'Select a File that should be convert to PDF here
        With SaveFileDialog1

            .FilterIndex = 1

            If .ShowDialog() = Windows.Forms.DialogResult.OK Then
                strDatei = .FileName
                txtPDF.Text = strDatei
            End If

        End With
    End Sub
End Class
